<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.rj.mapper.DeviceManagementMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.rj.entity.DeviceManagement">
        <id column="id" property="id" />
        <result column="tenant_id" property="tenantId" />
        <result column="tenant_code" property="tenantCode" />
        <result column="device_code" property="deviceCode" />
        <result column="dealership_id" property="dealershipId" />
        <result column="dealership_name" property="dealershipName" />
        <result column="last_online_time" property="lastOnlineTime" />
        <result column="last_power_on_time" property="lastPowerOnTime" />
        <result column="last_power_off_time" property="lastPowerOffTime" />
        <result column="wifi_name" property="wifiName" />
        <result column="unuploaded_count" property="unuploadedCount" />
        <result column="storage_size" property="storageSize" />
        <result column="storage_used" property="storageUsed" />
        <result column="remaining_battery" property="remainingBattery" />
        <result column="charging_status" property="chargingStatus" />
        <result column="bind_user_id" property="bindUserId" />
        <result column="bind_user_name" property="bindUserName" />
        <result column="project_id" property="projectId" />
        <result column="project_name" property="projectName" />
        <result column="scenario" property="scenario" />
        <result column="sales_name" property="salesName" />
        <result column="sales_phone" property="salesPhone" />
        <result column="bind_status" property="bindStatus" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, tenant_id, tenant_code, device_code, dealership_id, dealership_name, last_online_time, last_power_on_time, last_power_off_time, wifi_name, unuploaded_count, storage_size, storage_used, remaining_battery, charging_status, bind_user_id, bind_user_name, project_id, project_name, scenario, sales_name, sales_phone, bind_status, create_time, update_time
    </sql>

</mapper>
